MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
LightDirectory Struct Reference

A reference to a directory. More...

`#include <LightDirectory.hxx>`

## Public Member Functions
constexpr | LightDirectory (const char *_uri, time_t _mtime)
bool | IsRoot () const
gcc_pure const char * | GetPath () const

## Static Public Member Functions
static constexpr LightDirectory | Root ()

## Data Fields
const char * | uri
time_t | mtime

## Detailed Description

A reference to a directory.

Unlike the Directory class, this one consists only of pointers. It is supposed to be as light as possible while still providing all the information MPD has about a directory. This class does not manage any memory, and the pointers become invalid quickly. Only to be used to pass around during well-defined situations.

Definition at line 39 of file LightDirectory.hxx.

## Constructor & Destructor Documentation

constexpr LightDirectory::LightDirectory | ( | const char * | _uri,
|  | time_t | _mtime
| ) |  |
| inline

Definition at line 44 of file LightDirectory.hxx.

## Member Function Documentation

gcc_pure const char* LightDirectory::GetPath | ( |  | ) | const
| inline

Definition at line 56 of file LightDirectory.hxx.

bool LightDirectory::IsRoot | ( |  | ) | const
| inline

Definition at line 51 of file LightDirectory.hxx.

static constexpr LightDirectory LightDirectory::Root | ( |  | ) |
| inline static

Definition at line 47 of file LightDirectory.hxx.

## Field Documentation

time_t LightDirectory::mtime

Definition at line 42 of file LightDirectory.hxx.

const char* LightDirectory::uri

Definition at line 40 of file LightDirectory.hxx.

The documentation for this struct was generated from the following file:

- db/LightDirectory.hxx